<div id="skills" class="text-center">

  <div class="title">Personal Skills</div>
  <hr>

  <app-view-menu [points]="timePoints" [activePoint]="selectedPointIndex"
  (pointSelected)="selectTimePoint($event)"></app-view-menu>

  <div id="dettaglio" class="text-left">
    <ng-container [ngSwitch]="selectedPoint.label">
      <ng-container *ngSwitchCase = "'Conoscenza Lingue'">
        <app-progressive-bar label="Italiano" level="Madre Lingua" percent="100%"></app-progressive-bar>
        <app-progressive-bar label="Inglese" level="Ottimo" percent="90%"></app-progressive-bar>
        <app-progressive-bar label="Francese" level="Buono" percent="70%"></app-progressive-bar>
      </ng-container>
      <ng-container *ngSwitchCase = "'Work Skills'">
        <app-progressive-bar label="Apprendimento" level="Eccellente" percent="100%"></app-progressive-bar>
        <app-progressive-bar label="Adattamento" level="Eccellente" percent="90%"></app-progressive-bar>
        <app-progressive-bar label="MultiTasking" level="Ottimo" percent="80%"></app-progressive-bar>
        <app-progressive-bar label="TeamWork" level="Ottimo" percent="85%"></app-progressive-bar>
        <app-progressive-bar label="Comunicazione" level="Molto Buona" percent="75%"></app-progressive-bar>
        <app-progressive-bar label="Capacità di Stima" level="Ottimo" percent="85%"></app-progressive-bar>
        <app-progressive-bar label="Capacità di Autovalutazione" level="Molto Precisa" percent="85%"></app-progressive-bar>
      </ng-container>
      <ng-container *ngSwitchCase = "'Front End'">
        <app-progressive-bar label="HTML 5" level="Eccellente" percent="95%"></app-progressive-bar>
        <app-progressive-bar label="CSS 3" level="Eccellente" percent="95%"></app-progressive-bar>
        <app-progressive-bar label="SCSS" level="Eccellente" percent="90%"></app-progressive-bar>
        <app-progressive-bar label="JavaScript" level="Eccellente" percent="95%"></app-progressive-bar>
        <app-progressive-bar label="JQuery" level="Eccellente" percent="95%"></app-progressive-bar>
        <app-progressive-bar label="Bootstrap" level="Eccellente" percent="100%"></app-progressive-bar>
        <app-progressive-bar label="Ecmascript 6" level="Ottimo" percent="80%"></app-progressive-bar>
        <app-progressive-bar label="TypeScript" level="Ottimo" percent="85%"></app-progressive-bar>
        <app-progressive-bar label="AngularJS" level="Buono" percent="70%"></app-progressive-bar>
        <app-progressive-bar label="Angular 2+" level="Eccellente" percent="95%"></app-progressive-bar>
      </ng-container>
      <ng-container *ngSwitchCase = "'Back End'">
        <app-progressive-bar label="Java" level="Eccellente" percent="90%"></app-progressive-bar>
        <app-progressive-bar label="Spring Framework" level="Ottimo" percent="85%"></app-progressive-bar>
        <app-progressive-bar label="C#" level="Buono" percent="70%"></app-progressive-bar>
        <app-progressive-bar label="C++" level="Buono" percent="70%"></app-progressive-bar>
        <app-progressive-bar label="C" level="Buono" percent="70%"></app-progressive-bar>
        <app-progressive-bar label="PHP" level="Buono" percent="70%"></app-progressive-bar>
        <app-progressive-bar label="SQL" level="Eccellente" percent="90%"></app-progressive-bar>
        <app-progressive-bar label="noSQL" level="Ottimo" percent="80%"></app-progressive-bar>
      </ng-container>
    </ng-container>
  </div>
</div>
